Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss
Interface EventPropertyDescriptor

All Superinterfaces:
  java.io.Serializable

All Known Subinterfaces:
  IRPEventPropertyDescriptor, OperationalStatusDataAvailableEventDescriptor, OperationalStatusDataEventDescriptor, PerformanceDataAvailableEventDescriptor, PerformanceDataEventDescriptor

All Known Implementing Classes:
  EventPropertyDescriptorImpl, IRPEventPropertyDescriptorImpl, OperationalStatusDataAvailableEventDescriptorImpl, OperationalStatusDataEventDescriptorImpl, PerformanceDataAvailableEventDescriptorImpl, PerformanceDataEventDescriptorImpl

public interface EventPropertyDescriptor
extends java.io.Serializable

The EventPropertyDescriptor is used to document and specify the filterable properties of an event. An Interface extending the base EventPropertyDescriptor interface must be defined for each type of application specific event emitted by a component. The name of the specific EventPropertyDescriptor interface should be EventTypeEventPropertyDescriptor where the EventType is the name of the <EventType> interface.

See Also:
  `Event`

Field Summary
`static java.lang.String` | `BOOLEAN` BOOLEAN type.
`static java.lang.String` | `BYTE` BYTE type.
`static java.lang.String` | `DOUBLE` DOUBLE type.
`static java.lang.String` | `FLOAT` INT FLOAT.
`static java.lang.String` | `INT` INT type.
`static java.lang.String` | `LONG` LONG type.
`static java.lang.String` | `OSS_APPLICATION_DN_PROP_NAME` Definition of the mandatory OSS_APPLICATION_DN_PROP_NAME Application Type property name.
`static java.lang.String` | `OSS_APPLICATION_DN_PROP_TYPE` Definition of the mandatory OSS_APPLICATION_DN_PROP_TYPE Application Type property name.
`static java.lang.String` | `OSS_EVENT_TYPE_PROP_NAME` Definition of the Event Type property name OSS_EVENT_TYPE_PROP_NAME.
`static java.lang.String` | `OSS_EVENT_TYPE_PROP_TYPE` Definition of the Event Type property name OSS_EVENT_TYPE_PROP_TYPE.
`static java.lang.String` | `SHORT` SHORT type.
`static java.lang.String` | `STRING` STRING type.

Method Summary
`java.lang.String` | `getEventType()` Get the name of the event type associated with the descriptor.
`java.lang.String[]` | `getPropertyNames()` Get the names of the filterable properties associated with an Event.
`java.lang.String[]` | `getPropertyTypes()` Get the types for the filterable properties associated with an Event.
`Event` | `makeEvent()` Factory for Event associated with that Event Descriptor.

Field Detail

### INT

    public static final java.lang.String INT

  INT type. Its value is the string "int".

  See Also:
    Constant Field Values

### BYTE

    public static final java.lang.String BYTE

  BYTE type. Its value is the string "byte".

  See Also:
    Constant Field Values

### SHORT

    public static final java.lang.String SHORT

  SHORT type. Its value is the string "short".

  See Also:
    Constant Field Values

### BOOLEAN

    public static final java.lang.String BOOLEAN

  BOOLEAN type. Its value is the string "boolean".

  See Also:
    Constant Field Values

### DOUBLE

    public static final java.lang.String DOUBLE

  DOUBLE type. Its value is the string "double".

  See Also:
    Constant Field Values

### LONG

    public static final java.lang.String LONG

  LONG type. Its value is the string "long".

  See Also:
    Constant Field Values

### FLOAT

    public static final java.lang.String FLOAT

  INT FLOAT. Its value is the string "float".

  See Also:
    Constant Field Values

### STRING

    public static final java.lang.String STRING

  STRING type. Its value is the string "java.lang.String".

  See Also:
    Constant Field Values

### OSS_EVENT_TYPE_PROP_NAME

    public static final java.lang.String OSS_EVENT_TYPE_PROP_NAME

  Definition of the Event Type property name OSS_EVENT_TYPE_PROP_NAME. Its value is the string "OSS_EVENT_TYPE".

  See Also:
    Constant Field Values

### OSS_EVENT_TYPE_PROP_TYPE

    public static final java.lang.String OSS_EVENT_TYPE_PROP_TYPE

  Definition of the Event Type property name OSS_EVENT_TYPE_PROP_TYPE. Its value is the type STRING.

  See Also:
    Constant Field Values

### OSS_APPLICATION_DN_PROP_NAME

    public static final java.lang.String OSS_APPLICATION_DN_PROP_NAME

  Definition of the mandatory OSS_APPLICATION_DN_PROP_NAME Application Type property name. Its value is the string "OSS_APPLICATION_DN".

  See Also:
    Constant Field Values

### OSS_APPLICATION_DN_PROP_TYPE

    public static final java.lang.String OSS_APPLICATION_DN_PROP_TYPE

  Definition of the mandatory OSS_APPLICATION_DN_PROP_TYPE Application Type property name. Its value is the type STRING.

  See Also:
    Constant Field Values

Method Detail

### getEventType

    public java.lang.String getEventType()

  Get the name of the event type associated with the descriptor.

  Returns:
    the class name of the Event interface associated with this Event descriptor.

### getPropertyNames

    public java.lang.String[] getPropertyNames()

  Get the names of the filterable properties associated with an Event.

  Returns:
    String array of XXX_PROP_NAME's

### getPropertyTypes

    public java.lang.String[] getPropertyTypes()

  Get the types for the filterable properties associated with an Event.

  Returns:
    String array of XXX_PROP_TYPE's

### makeEvent

    public Event makeEvent()

  Factory for Event associated with that Event Descriptor.

  Returns:
    an implementation of the Event interface.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD